summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-12-24 17:09:19 -0500
committerJune McEnroe <june@causal.agency>2019-12-24 17:09:19 -0500
commit3cd13ac90acc50190486c8a6e611d68016f87880 (patch)
tree3f561a3235a05aa98d02175be1fa69c8fa62ddc1
parentExport References header (diff)
downloadimbox-3cd13ac90acc50190486c8a6e611d68016f87880.tar.gz
imbox-3cd13ac90acc50190486c8a6e611d68016f87880.zip
Exit git-fetch-email on getopt failure 1.0
-rw-r--r--git-fetch-email.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 0979a46..704651b 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,7 +26,9 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-set -- $(getopt 'C:F:S:T:h:m:p:' $*)
+args=$(getopt 'C:F:S:T:h:m:p:' $*)
+[ $? -ne 0 ] && exit 1
+set -- $args
 for opt; do
 	shift;
 	case "$opt" in
ohover-highlight'> 2017-09-03Relicense AGPLJune McEnroe I know it's already published under a permissive license in what is probably its final form, but I want to license it AGPL anyway on principle following some conversations I had about open source, corporations and copyleft. 2017-09-01Revert "Add client readOnly mode"June McEnroe This reverts commit 9a6c9c91c8092603b914cc0b3085d059e162ca29. 2017-09-01Remove clientRemove call from clientCastJune McEnroe If an error occurs on a client socket during a broadcast, that client will show up in the kqueue loop with EV_EOF and get removed that way. Tested by sending SIGKILL to a client and watching its cursor disappear. 2017-09-01Add client readOnly modeJune McEnroe 2017-08-31Clean up merge toolJune McEnroe Choose the version with the most recent access if the modify times are the same. 2017-08-31Choose B for tiles with equal modify timesJune McEnroe This way newer access counts and times will be preserved. 2017-08-31Add quick data file merge toolJune McEnroe Hopefully I won't have to use it ever again. 2017-08-30Use only foreground color for selecting spawnJune McEnroe 2017-08-29Add four additional spawnsJune McEnroe 2017-08-28Add respawningJune McEnroe 2017-08-26Move license above includesJune McEnroe Why was it down there? 2017-08-26Snapshot metadataJune McEnroe 2017-08-26Add meta.c to READMEJune McEnroe 2017-08-26Use MakefileJune McEnroe